DOMUtil.NodeListImpl (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.junit.DOMUtil.NodeListImpl,DOMUtil.NodeListImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.junit
Class DOMUtil.NodeListImpl

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.Vector
                        |
                        +--org.apache.tools.ant.taskdefs.optional.junit.DOMUtil.NodeListImpl

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, org.w3c.dom.NodeList, java.util.RandomAccess, java.io.Serializable

Enclosing class:
  DOMUtil

public static class DOMUtil.NodeListImpl
extends java.util.Vector
implements org.w3c.dom.NodeList

custom implementation of a nodelist

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`DOMUtil.NodeListImpl()`

Method Summary
`int` | `getLength()`
`org.w3c.dom.Node` | `item(int i)`

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### DOMUtil.NodeListImpl

    public DOMUtil.NodeListImpl()

Method Detail

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `org.w3c.dom.NodeList`

### item

    public org.w3c.dom.Node item(int i)

  Specified by:
    `item` in interface `org.w3c.dom.NodeList`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.